<?php

namespace shqawe\SST;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Alter;
class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;


	public function installStep1()
	{
		$this->schemaManager()->alterTable('xf_thread', function (Alter $table) {
			$table->addColumn('sec_sticky', 'int')->setDefault(0);
		});
	}


	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->alterTable('xf_thread', function(Alter $table)
		{
			$table->dropColumns('sec_sticky', 'int');
		});
	}
}