<?php

namespace shqawe\SST\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{
    public static function getStructure(Structure $structure): Structure
    {
        $structure = parent::getStructure($structure);
        $structure->columns['sec_sticky'] =  ['type' => self::UINT, 'default' => 0];

        return $structure;
    }


    public function canStickUnstickLev2(&$error = null)
	{
		$visitor = \XF::visitor();
		return $visitor->user_id && $visitor->hasNodePermission($this->node_id, 'stickUnstickThreadLev2');
	}

}