<?php

namespace shqawe\SST\XF\InlineMod;


use XF\Mvc\Entity\Entity;

class Thread extends XFCP_Thread{
    

    public function getPossibleActions()
    {
        $actions = parent::getPossibleActions();

        $actions['sticklev2'] = $this->getSimpleActionHandler(
			\XF::phrase('sst_sticky_lev2'),
			'canStickUnstickLev2',
			function(Entity $entity)
			{
				/** @var \XF\Entity\Thread $entity */
				$entity->sec_sticky = true;
				$entity->save();
			}
		);

		$actions['unsticklev2'] = $this->getSimpleActionHandler(
			\XF::phrase('unsst_sticky_lev2'),
			'canStickUnstickLev2',
			function(Entity $entity)
			{
				/** @var \XF\Entity\Thread $entity */
				$entity->sec_sticky = false;
				$entity->save();
			}
		);

        return $actions;
    }
}